package operation

import (
	"game/common/model"
	"game/common/model/user"
)

// 游戏对局日志
func NewGameRecordLogOp() *model.TableOp[user.GameRecordLog] {
	return model.NewTableOp[user.GameRecordLog](LogDB, nil)
}

// 玩家游戏日志
func NewUserRecordLogOp() *model.TableOp[user.UserRecordLog] {
	return model.NewTableOp[user.UserRecordLog](LogDB, nil)
}
